Reject Requests

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Example request

curl --location 'https://eu.api.capillarytech.com/v1.1/request/reject?format=json' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'accept: application/json' \
--header 'Authorization: Basic ZGl2eWFfTYyZTZm' \
--header 'Cookie: _cfuvid=zP64VTj6GdUFYZ2gjEkFMJ0lr.yGY2xiKhDjAViECSE-1772457459807-0.0.1.1-604800000' \
--data '
{
  "root": {
    "request": [
      {
        "type": "GOODWILL",
        "base_type": "COUPON",
        "id": "32970840",
        "updated_comments": "Rejecting from API"
      }
    ]
  }
}
'

Request body parameters

ParameterDatatypeDescription
id*longReference id of the request that you want to reject.
type*enumType of request. Value: CHANGE_IDENTIFIER, GOODWILL, TRANSACTION_UPDATE.
base_type*enumSub-type of the request. Value: If type=CHANGE_IDENTIFIER, base_type could be MOBILE, EMAIL, EXTERNAL_ID, MERGE, or REALLOCATION.

If type=GOODWILL, base_type will be POINTS, or COUPON.

Example response

{
    "response": {
        "status": {
            "success": "true",
            "code": 200,
            "message": "SUCCESS"
        },
        "requests": {
            "request": [
                {
                    "id": "32970840",
                    "type": "GOODWILL",
                    "base_type": "COUPON",
                    "status": "REJECTED",
                    "assoc_id": "-1",
                    "approved_value": "",
                    "updated_comments": "Rejecting from API",
                    "item_status": {
                        "success": "true",
                        "code": 9000,
                        "message": "Request updated successfully"
                    }
                }
            ]
        }
    }
}


Query Params
string
enum
Allowed:
Body Params
json
Response

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json